## Contributing

To run the project locally you will need Go 1.19 or higher.

```bash
git clone git@github.com:fmartingr/butterrobot.git
cd butterrobot
make setup
make build
```

Create a `.env-local` file with the required environment variables, you have [an example file](.env-example).

```
SLACK_TOKEN=xxx
TELEGRAM_TOKEN=xxx
HOSTNAME=myhostname.com
...
```

And then you can run it directly:

```bash
# Run directly with Go
go run ./cmd/butterrobot/main.go

# Or run the built binary
./bin/butterrobot
```
